Page MenuHomeFreeBSD

Retire WITHOUT_DEBUG flag, due to poor support in many ports and not being really necessary
ClosedPublic

Authored by madpilot on Sep 29 2017, 10:28 PM.

Details

Reviewers
mat
rene
Group Reviewers
portmgr
Commits
rP452147: Retire WITHOUT_DEBUG flag.
Summary

While building ports in a poudriere jail defining WITH_DEBUG I had the need to disable debug for specific ports failing to build due to requiring too much RAM for debugging build (llvm, for example).

I discovered that most ports who check for WITH_DEBUG are ignoring WITHOUT_DEBUG.

Also, the same intended effect of the WITHOUT_DEBUG flag can be obtained by using ".undef WITH_DEBUG" without requiring port Makefiles to have any special support.

Test Plan

If required an exp-run could be useful to make sure I did not break anything.

The patch does not modify the behavior of many ports having a DEBUG OPTION, bug not respecting WITH_DEBUG. A more complex patch is needed to fix that, but removing WITHOUT_DEBUG is a first small step in the right direction to fix that too.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

madpilot created this revision.Sep 29 2017, 10:28 PM
mat added a comment.Oct 6 2017, 11:48 AM

I think the WITHOUT_DEBUG knob should be removed instead.

madpilot retitled this revision from Ports honouring WITH_DEBUG are ignoring WITHOUT_DEBUG in many cases to Retire WITHOUT_DEBUG flag, due to poor support in many ports and not being really necessary.Oct 9 2017, 4:26 PM
madpilot edited the summary of this revision. (Show Details)
madpilot updated this revision to Diff 33844.Oct 9 2017, 5:46 PM
madpilot edited the summary of this revision. (Show Details)
madpilot edited the test plan for this revision. (Show Details)

Added a simpler patch which removes all references to WITHOUT_DEBUG and adds a note to UPDATING to inform users of the change and suggests the supported way.

mat accepted this revision as: mat.Oct 10 2017, 12:06 PM

This looks ok to me.

rene accepted this revision.Oct 15 2017, 10:42 AM
This revision is now accepted and ready to land.Oct 15 2017, 10:42 AM
This revision was automatically updated to reflect the committed changes.